﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace RecordAnimationPerformance
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();


            DataTable d = new DataTable();
            Random r = new Random();
            int columnCount = 10;
            int rowCount = 2000;

            for (int i = 0; i < columnCount; i++)
            {
                d.Columns.Add(new DataColumn("Column " + i, typeof(int)));
            }
            for (int i = 0; i < rowCount; i++)
            {
                DataRow row = d.NewRow();

                for (int j = 0; j < columnCount; j++)
                {
                    row["Column " + j] = r.Next(1000 * i);
                }

                d.Rows.Add(row);
            }

            xamDataGrid1.DataSource = d.DefaultView;
        }

        private void xamDataGrid1_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
           e.Record.Tag = true;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 50; i++)
            {
                xamDataGrid1.Records[i].Tag = true;
            }
        }

        private void xamDataGrid1_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            if(e.Type == typeof(DataRecord))
            {
                foreach (DataRecord rec in xamDataGrid1.SelectedItems.Records)
                {
                    rec.Tag = false;
                }
            }
        }
    }
}
